Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.compiler.wrapper.dista.C45
Class RulesWrapper

    java.lang.Object
      edu.udo.cs.miningmart.compiler.wrapper.dista.Wrapper
          edu.udo.cs.miningmart.compiler.wrapper.dista.C45.C45Wrapper
              edu.udo.cs.miningmart.compiler.wrapper.dista.C45.RulesWrapper

    public class RulesWrapper

extends C45Wrapper

Version:
  $Id: RulesWrapper.java,v 1.5 2006/09/27 14:59:54 euler Exp $
Author:
  Alessandro Serra, Timm Euler

Field Summary
`protected int` | `m_min_obj`
`protected double` | `m_pruning_confidence`
`protected Rules` | `m_rules`

Fields inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.C45.C45Wrapper
`m_data, m_file_name, m_names`

Fields inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.Wrapper
`m_do_clean, m_log, m_md, m_ml_home, m_os_name, m_properties, m_result_name, m_sample_size, m4db`

Constructor Summary
`RulesWrapper(Step step, ExecutableOperator exOp)`

Method Summary
`protected void` | `callTool()`
`protected void` | `importResult()`
`protected void` | `saveResult()`
`void` | `setMinObj(int v)`
`void` | `setPruningConfidence(double v)`

Methods inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.C45.C45Wrapper
`checkMetaData, clean, exportData, exportNames, exportTable, exportValue, getSampleTableName, getValues, getValues, makeQuery, setSampleTableName`

Methods inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.Wrapper
`callScript, getArtificalColumnName, getExecutableOperator, getM4Db, getSampleRatio, getStep, run, setConnection, setMetaData, setProperties, setResultName, setSampleSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_rules

    protected Rules m_rules

### m_pruning_confidence

    protected double m_pruning_confidence

### m_min_obj

    protected int m_min_obj

Constructor Detail

### RulesWrapper

    public RulesWrapper(Step step,
                        ExecutableOperator exOp)
                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### setPruningConfidence

    public void setPruningConfidence(double v)

### setMinObj

    public void setMinObj(int v)

### callTool

    protected void callTool()
                     throws java.lang.Exception

  Specified by:
    `callTool` in class `Wrapper`
  Throws:
    `java.lang.Exception`

### importResult

    protected void importResult()
                         throws java.lang.Exception

  Specified by:
    `importResult` in class `Wrapper`
  Throws:
    `java.lang.Exception`

### saveResult

    protected void saveResult()
                       throws java.lang.Exception

  Specified by:
    `saveResult` in class `Wrapper`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005